require 'sinatra'
require 'omniauth-suitefm'

use Rack::Session::Cookie

use OmniAuth::Builder do
  provider :suitefm, ENV["SUITEFM_KEY"], ENV["SUITEFM_SECRET"]
end

get '/' do
  <<-HTML
  <a href='/auth/suitefm'>Sign in with Suite FM</a>
  HTML
end

get '/auth/suitefm/callback' do
  auth = request.env['omniauth.auth']
  redirect '/'
end

get '/auth/failure' do
  puts params[:message]
  redirect '/'
end
