require 'omniauth/strategies/oauth2'

module OmniAuth
  module Strategies
    class Suitefm < OmniAuth::Strategies::OAuth2
      option :name, 'suitefm'

      option :client_options, {
        site: 'http://id.suite.fm',
        authorize_url: '/oauth/authorize'
      }

      uid { user_data['id'] }

      info do
        {
          name: user_data['name'],
          email: user_data['email']
        }
      end

      extra do
        { user_data: user_data }
      end

      def user_data
        @user_data ||= access_token.get('/api/v1/me.json').parsed
      end
    end
  end
end
